Bug 1189905 - Installer looks like frozen when doing time consuming tasks (auto-generating the disc layout, ...)
Summary: Installer looks like frozen when doing time consuming tasks (auto-generating ...
Keywords:
Status: CLOSED DUPLICATE of bug 1170803
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1189909
TreeView+ depends on / blocked
 
Reported: 2015-02-05 19:01 UTC by Jaromír Cápík
Modified: 2017-05-22 21:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1189909 (view as bug list)
Environment:
Last Closed: 2017-05-22 21:36:51 UTC


Attachments (Terms of Use)
.tgz of /tmp/*log on Sempron 2400+ host m7ncd (324.56 KB, application/octet-stream)
2016-11-24 23:39 UTC, Felix Miata
no flags Details

Description Jaromír Cápík 2015-02-05 19:01:30 UTC
Description of problem:
Some installation sub-tasks require several seconds (sometimes more than 10 seconds) to finish and during that time the user interface looks like frozen. Doing time consuming tasks is usually accompanied with changes in the mouse cursor look. Applications usually change the mouse cursor to hourglass symbol to tell the users they should not touch any UI elements until the task is finished. In our case we keep the pointing hand symbol, but none of the UI elements is active. I haven't tracked all the steps where the change is welcome, but at least the automatic disc layout generation in the manual partitioning should switch the cursor to hourglass.

Version-Release number of selected component (if applicable):
Fedora-Server-DVD-ppc64-21.iso

How reproducible:
always

Comment 1 Fedora End Of Life 2015-11-04 13:46:40 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-12-02 08:38:20 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Felix Miata 2016-11-24 23:33:34 UTC
With 35 partitions on a single PATA disk on a 2.0GHz 32 bit CPU, it takes the current F25 incarnation several minutes (possibly more than 10) following clicking away the pre-release software warning before the installation summary screen initially appears. There's nothing but a mouse cursor on black background during the long wait. While waiting, on vtty2, top shows e2fsck busy.

Comment 4 Felix Miata 2016-11-24 23:39:02 UTC
Created attachment 1224061 [details]
.tgz of /tmp/*log on Sempron 2400+ host m7ncd

Comment 3 should have said 47 partitions, among them several FAT and several HPFS, but none NTFS, and the vast majority EXTx.

Comment 5 Felix Miata 2016-11-25 00:17:10 UTC
Out of curiosity, I timed one: 22.75 minutes from the I accept my fate click until seeing the installation summary screen.

Comment 6 Charles R. Anderson 2017-05-22 21:36:51 UTC

*** This bug has been marked as a duplicate of bug 1375894 ***

Comment 7 Charles R. Anderson 2017-05-22 21:37:36 UTC

*** This bug has been marked as a duplicate of bug 1170803 ***


Note You need to log in before you can comment on or make changes to this bug.